ServerNameList (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class ServerNameList

- java.lang.Object
- - org.bouncycastle.crypto.tls.ServerNameList

-     public class ServerNameList
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Vector` | `serverNameList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerNameList(java.util.Vector serverNameList)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.io.OutputStream output)` Encode this `ServerNameList` to an `OutputStream`.
    `java.util.Vector` | `getServerNameList()`
    `static ServerNameList` | `parse(java.io.InputStream input)` Parse a `ServerNameList` from an `InputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serverNameList

          protected java.util.Vector serverNameList

  - ### Constructor Detail

    - #### ServerNameList

          public ServerNameList(java.util.Vector serverNameList)

      Parameters:
        `serverNameList` - a `Vector` of `ServerName`.

  - ### Method Detail

    - #### getServerNameList

          public java.util.Vector getServerNameList()

      Returns:
        a `Vector` of `ServerName`.

    - #### encode

          public void encode(java.io.OutputStream output)
                      throws java.io.IOException

      Encode this `ServerNameList` to an `OutputStream`.
      Parameters:
        `output` - the `OutputStream` to encode to.
      Throws:
        `java.io.IOException`

    - #### parse

          public static ServerNameList parse(java.io.InputStream input)
                                      throws java.io.IOException

      Parse a `ServerNameList` from an `InputStream`.
      Parameters:
        `input` - the `InputStream` to parse from.
      Returns:
        a `ServerNameList` object.
      Throws:
        `java.io.IOException`